        <div class="container" style="padding-top: 20px;">
            <div class="col-md-12 tabs-navigation">
                <ul class="nav nav-pills">
                    <li *ngFor="let datasource of datasources" [ngClass]=" {'active': tab==datasource.key }" [class]="(null != datasource.visibility) ? datasource.visibility : ''"><a (click)=" tab = datasource.key " href="#">{{datasource.title}}</a></li>            
                </ul>
                <div *ngFor="let datasource of datasources">
                    <app-specifications [userRoles]="userRoles" *ngIf="tab==datasource.key" [checkRoles]="datasource.checkRoles" [publicUrl]="datasource.publicUrl" [privateUrl]="datasource.privateUrl"></app-specifications>
                </div>
            </div>
        </div>
